You are not logged in.

#1 2018-11-16 17:41:59

sjensen
Member
From: Germany
Registered: 2018-08-08
Posts: 31

warning: zeitgeist: local (1.0+1+g1bcc8585-2) is newer than extra (1.0

Hi,..

I got the following while running pacman:

#sudo LANG=C pacman -Syu

:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
warning: zeitgeist: local (1.0+1+g1bcc8585-2) is newer than extra (1.0.1-1)
 there is nothing to do

#grep 'upgraded zeitgeist' /var/log/pacman.log

[2017-01-12 00:36] [ALPM] upgraded zeitgeist (0.9.16-1 -> 0.9.16-2)
[2017-02-21 01:32] [ALPM] upgraded zeitgeist (0.9.16-2 -> 1.0-1)
[2017-03-02 16:04] [ALPM] upgraded zeitgeist (1.0-1 -> 1.0+1+g1bcc8585-1)
[2018-11-14 01:30] [ALPM] upgraded zeitgeist (1.0+1+g1bcc8585-1 -> 1.0+1+g1bcc8585-2)

I guess this is only a number mixup and a version bump of the package will fix it?
And I guess it is save to "downgrade" to the newer package manually?

Offline

#2 2018-11-16 17:54:14

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,559

Re: warning: zeitgeist: local (1.0+1+g1bcc8585-2) is newer than extra (1.0

Looks like a bug in pacman. 1.0+1+g1bcc8585-2 should be considered lower than 1.0.1-1

Offline

#3 2018-11-16 17:55:42

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 8,404
Website

Re: warning: zeitgeist: local (1.0+1+g1bcc8585-2) is newer than extra (1.0

This is a packaging bug. Please report it on the bug tracker, epoch should be incremented as 1.0+1+g1bcc8585-2 > 1.0.1-1 (according to vercmp anyway).

EDIT: The packager beat me to it to point the blame elsewhere. tongue

Maybe wait for a third opinion before filing any bugs, however, I'd be inclined to trust arojas' opinion over my own in this matter.

Last edited by WorMzy (2018-11-16 17:58:13)


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2018-11-16 19:51:10

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 2,533

Re: warning: zeitgeist: local (1.0+1+g1bcc8585-2) is newer than extra (1.0

This is a packaging bug, don't use pluses in version numbers.

They're not meant to be weighted such as to separate version numbers from revision counts (because pacman has no concept of a revision count, it's just an additional component to the version number), and the AUR has long had standards for defining a git revision as "1.0.r1.g1bcc8585-2" (where the .r1 indicates that the "r1" should be weighted as less than a "1"). I'm not sure why official repo packages decided to use pluses instead, and in my highly personal opinion, well, I disagree with it smile but either way it doesn't mean you get to skip adding the "r".

$ vercmp 1.0+1+g1bcc8585-2 1.0.1.g1bcc8585-2
0

EDIT: Also, a bugreport: https://bugs.archlinux.org/task/60830

Last edited by eschwartz (2018-11-16 20:11:25)


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#5 2018-11-19 10:12:05

hoschi
Member
From: Ulm (Germany)
Registered: 2008-11-03
Posts: 388

Re: warning: zeitgeist: local (1.0+1+g1bcc8585-2) is newer than extra (1.0

I already wondered how that could be happen, that kind of message only appears if I switch from a more up-to-date mirror to an less frequently updated.

Offline

Board footer

Powered by FluxBB